POST api/crmconnect/property/getdescriptions

Get the descriptions as a CrmConnectDescriptionSetDataContract so that they can be added to a property after creation in rezi Processes this crm connect API request. The parameter and response sections describe the data exchanged with the API.

Request Information

URI Parameters

None.

Body Parameters

A value usable to identify the item in the crm, this key is generated by the selected domain service

Object

None.

Request Formats

application/x-www-form-urlencoded

Sample:

Sample not available.

application/json, text/json

Sample:
{}

Response Information

Resource Description

The response returned after the operation completes.

CrmConnectDescriptionSetDataContract
NameDescriptionTypeAdditional information
crmDescriptions

The collection of crm descriptions.

Collection of CrmConnectDescriptionDataContract

None.

reziDescriptions

The collection of rezi descriptions.

Collection of CrmConnectReziDescriptionDataContract

None.

Response Formats

application/json, text/json

Sample:
{
  "crmDescriptions": [
    {
      "textDescriptionSaveDataContract": {
        "Text": "sample string 1",
        "Type": {
          "Id": 1,
          "Name": "sample string 2",
          "SystemName": "sample string 3"
        },
        "Name": "sample string 2",
        "Notes": "sample string 3",
        "PropertyId": 4,
        "RoleId": 5,
        "ForceUpdate": true,
        "Id": 7
      },
      "Name": "sample string 1",
      "OriginName": "sample string 2",
      "Index": 3,
      "Language": "sample string 4",
      "FlagCode": "sample string 5"
    },
    {
      "textDescriptionSaveDataContract": {
        "Text": "sample string 1",
        "Type": {
          "Id": 1,
          "Name": "sample string 2",
          "SystemName": "sample string 3"
        },
        "Name": "sample string 2",
        "Notes": "sample string 3",
        "PropertyId": 4,
        "RoleId": 5,
        "ForceUpdate": true,
        "Id": 7
      },
      "Name": "sample string 1",
      "OriginName": "sample string 2",
      "Index": 3,
      "Language": "sample string 4",
      "FlagCode": "sample string 5"
    }
  ],
  "reziDescriptions": [
    {
      "Name": "sample string 1",
      "DescriptionType": "sample string 2"
    },
    {
      "Name": "sample string 1",
      "DescriptionType": "sample string 2"
    }
  ]
}